Replace a substring within the DOMCharacterData node

- « DOMCharacterData::remove

- DOMCharacterData::replaceWith »

- PHP Manual
- DOMCharacterData
- Replace a substring within the DOMCharacterData node

# DOMCharacterData::replaceData

(PHP 5, PHP 7, PHP 8)

DOMCharacterData::replaceData — Replace a substring within the DOMCharacterData node

### Description

public DOMCharacterData::replaceData(int `$offset`, int `$count`, string `$data`): bool

Replace `count` characters starting from position `offset` with `data`.

### Parameters

`offset`

  The offset from which to start replacing.

`count`

  The number of characters to replace. If the sum of `offset` and `count` exceeds the length, then all characters to the end of the data are replaced.

`data`

  The string with which the range must be replaced.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

### See Also

- DOMCharacterData::appendData() - Append the string to the end of the character data of the node
- DOMCharacterData::deleteData() - Remove a range of characters from the node
- DOMCharacterData::insertData() - Insert a string at the specified 16-bit unit offset
- DOMCharacterData::substringData() - Extracts a range of data from the node